Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.ui
[Groovy] Class HistoryRecord

    java.lang.Object
      groovy.ui.HistoryRecord

    class HistoryRecord

Property Summary
`java.lang.String` | `allText`
`java.lang.Throwable` | `exception`
`java.lang.Object` | `result`
`java.lang.String` | `scriptName`
`int` | `selectionEnd`
`int` | `selectionStart`

Method Summary
`java.lang.String` | `getTextToRun(boolean useSelection)`
`java.lang.Object` | `getValue()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### allText

    java.lang.String allText

### exception

    java.lang.Throwable exception

### result

    java.lang.Object result

### scriptName

    java.lang.String scriptName

### selectionEnd

    int selectionEnd

### selectionStart

    int selectionStart

Method Detail

### getTextToRun

    java.lang.String getTextToRun(boolean useSelection)

### getValue

    java.lang.Object getValue()

Groovy Documentation